# Colocation

Colocation service endpoints

## GET /v3/colocation

> Get list of all colocated servers

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocatedServer":{"type":"object","required":["id","datacenter","rack","dateStart","dateEnd","dateCancelled","dateEndContract","contractPeriod","extendPeriod","cancellationPeriod","paymentTerm","pricePerMonth","pricePerTbOveruse","currencyId","bandwidthBillingType","bandwidthContractual","trafficSum","trafficSumMonthMbit","outgoingTrafficSum","incomingTrafficSum","powerMaxAmpere","powerKwhPrice","powerMeter","powerSumHistory","network","uplinks","unlimitedIngress"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of the colocation service","readOnly":true},"name":{"type":"string","format":"","description":"The name of the colocation service"},"datacenter":{"allOf":[{"$ref":"#/components/schemas/DataCenter"}],"description":"The data center details","readOnly":true},"rack":{"allOf":[{"$ref":"#/components/schemas/ColocatedRack"}],"description":"The rack details in which the server is installed","readOnly":true},"dateStart":{"type":"string","format":"","description":"Contract start date","readOnly":true},"dateEnd":{"type":"string","format":"","description":"The date until which the service is paid","readOnly":true},"dateCancelled":{"type":"string","format":"","description":"Contract cancel date if contract is cancelled","readOnly":true},"dateEndContract":{"type":"string","format":"","description":"Contract end date","readOnly":true},"contractPeriod":{"type":"integer","format":"integer","description":"The duration of the contract in months","readOnly":true},"extendPeriod":{"type":"integer","format":"integer","description":"The extended period of the contract in months","readOnly":true},"cancellationPeriod":{"type":"integer","format":"integer","description":"The cancellation period in months","readOnly":true},"purchaseOrder":{"type":"string","format":"","description":"The order-name to which the server belongs"},"paymentTerm":{"type":"integer","format":"integer","description":"The duration in which the invoice has to be paid after receiving.","readOnly":true},"pricePerMonth":{"type":"string","format":"","description":"The price of this colocated server per month in cents","readOnly":true},"pricePerTbOveruse":{"type":"string","format":"","description":"The price of traffic overuse in cents (per TB) (see `currencyId` for currency)","readOnly":true},"currencyId":{"type":"integer","format":"integer","description":"The currency in which the various 'price' fields are:\n* 0: EURO\n* 1: USD\n* 9: YEN","readOnly":true},"bandwidthBillingType":{"type":"integer","format":"integer","description":"The bandwidth billing method for this service:\n* 1: unmetered connection\n* 2: measured in TB per month\n* 3: measured in mbit 95th percentile","readOnly":true},"bandwidthContractual":{"type":"integer","format":"integer","description":"The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals `2`, in mbit otherwise","readOnly":true},"trafficSum":{"type":"integer","format":"integer","description":"The total used traffic (Mbit or GB, incoming + outgoing)","readOnly":true},"trafficSumMonthMbit":{"type":"integer","format":"integer","description":"The total used traffic (Mbit) for 95th percentile","readOnly":true},"outgoingTrafficSum":{"type":"integer","format":"integer","description":"The outgoing traffic (Mbit or GB)","readOnly":true},"incomingTrafficSum":{"type":"integer","format":"integer","description":"The incoming traffic (Mbit or GB)","readOnly":true},"powerMaxAmpere":{"type":"string","format":"","description":"Contractual maximum usable amperage","readOnly":true},"powerKwhPrice":{"type":"string","format":"","description":"The power price per kWh in cents","readOnly":true},"powerMeter":{"type":"integer","format":"integer","description":"The current power meter(kWh)","readOnly":true},"powerSumHistory":{"type":"array","items":{"$ref":"#/components/schemas/PowerConsumptionPerDay"},"description":"The history of the power usage and the power meter","readOnly":true},"network":{"type":"array","items":{"$ref":"#/components/schemas/Network"},"description":"The network connection specifications","readOnly":true},"uplinks":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedServerUplink"},"description":"The available uplinks for this colocated server","readOnly":true},"unlimitedIngress":{"type":"integer","format":"integer","description":"Does the service have free incoming traffic?","readOnly":true}},"additionalProperties":false},"DataCenter":{"type":"object","required":["address","contact","wifi"],"properties":{"address":{"allOf":[{"$ref":"#/components/schemas/DatacenterAddress"}],"description":"The address of the data center","readOnly":true},"contact":{"allOf":[{"$ref":"#/components/schemas/DatacenterContact"}],"description":"The contact information","readOnly":true},"wifi":{"allOf":[{"$ref":"#/components/schemas/WifiCredential"}],"description":"The wifi credentials","readOnly":true}},"additionalProperties":false},"DatacenterAddress":{"type":"object","required":["name","address","zipCode","city","country"],"properties":{"name":{"type":"string","format":"","description":"The name of the Location","readOnly":true},"address":{"type":"string","format":"","description":"The address of the location","readOnly":true},"zipCode":{"type":"string","format":"","description":"The zip-code of the location","readOnly":true},"city":{"type":"string","format":"","description":"The city name","readOnly":true},"country":{"type":"string","format":"","description":"The country name","readOnly":true}},"additionalProperties":false},"DatacenterContact":{"type":"object","required":["phoneNumber","emergencyPhoneNumber","faxNumber","emailAddress"],"properties":{"phoneNumber":{"type":"string","format":"","description":"The phone-number","readOnly":true},"emergencyPhoneNumber":{"type":"string","format":"","description":"The emergency phone-number","readOnly":true},"faxNumber":{"type":"string","format":"","description":"The fax-number","readOnly":true},"emailAddress":{"type":"string","format":"","description":"The email-address","readOnly":true}},"additionalProperties":false},"WifiCredential":{"type":"object","required":["networkName","userName","password"],"properties":{"networkName":{"type":"string","format":"","description":"Wifi SSID","readOnly":true},"userName":{"type":"string","format":"","description":"Wifi user-name","readOnly":true},"password":{"type":"string","format":"","description":"Wifi Password","readOnly":true}},"additionalProperties":false},"ColocatedRack":{"type":"object","required":["rack","rentedUnits"],"properties":{"rack":{"type":"string","format":"","description":"Suit number and rack number","readOnly":true},"rentedUnits":{"type":"integer","format":"integer","description":"Number of units in colocation service","readOnly":true}},"additionalProperties":false},"PowerConsumptionPerDay":{"type":"object","required":["date","powerMeter","powerUsed"],"properties":{"date":{"type":"string","format":"","description":"The corresponding date","readOnly":true},"powerMeter":{"type":"string","format":"","description":"The power meter(kWh)","readOnly":true},"powerUsed":{"type":"string","format":"","description":"The used power(kWh)","readOnly":true}},"additionalProperties":false},"Network":{"type":"object","required":["vlanId","ipRange","ipRangeCustom"],"properties":{"vlanId":{"type":"integer","format":"integer","description":"The vlan ID","readOnly":true},"ipRange":{"type":"array","items":{"$ref":"#/components/schemas/IpRangeCidr"},"description":"Defines a list of IP ranges with a prefix in CIDR format (such as 123.123.123.64/26)","readOnly":true},"ipRangeCustom":{"type":"array","items":{"$ref":"#/components/schemas/IpRangeCustom"},"description":"Defines a list of custom IP ranges that do not use prefixes but have an arbitrary start and end ip range (such as 123.123.123.100 - 123.123.123.200)","readOnly":true}},"additionalProperties":false},"IpRangeCidr":{"type":"object","required":["network","netmask","prefix","gateway","rDns"],"properties":{"network":{"type":"string","format":"","description":"The ip of the network","readOnly":true},"netmask":{"type":"string","format":"","description":"The range netmask","readOnly":true},"prefix":{"type":"string","format":"","description":"CIDR prefix, including leading slash","readOnly":true},"gateway":{"type":"string","format":"","description":"The gateway IP","readOnly":true},"vrrp1":{"type":"string","format":"","description":"The virtual router redundancy protocol 1","nullable":true},"vrrp2":{"type":"string","format":"","description":"The virtual router redundancy protocol 1","nullable":true},"rDns":{"type":"array","items":{"$ref":"#/components/schemas/RDns"},"description":"RDNS records","readOnly":true}},"additionalProperties":false},"RDns":{"type":"object","required":["hostname","ip"],"properties":{"hostname":{"type":"string","format":"","description":"The hostname"},"ip":{"type":"string","format":"","description":"The corresponding ip for the host","readOnly":true}},"additionalProperties":false},"IpRangeCustom":{"type":"object","required":["networkStart","networkEnd","gateway","rDns"],"properties":{"networkStart":{"type":"string","format":"","description":"The start ip of the network","readOnly":true},"networkEnd":{"type":"string","format":"","description":"The end ip of the network","readOnly":true},"gateway":{"type":"string","format":"","description":"The gateway IP","readOnly":true},"vrrp1":{"type":"string","format":"","description":"The virtual router redundancy protocol 1","nullable":true},"vrrp2":{"type":"string","format":"","description":"The virtual router redundancy protocol 1","nullable":true},"rDns":{"type":"array","items":{"$ref":"#/components/schemas/RDns"},"description":"RDNS records","readOnly":true}},"additionalProperties":false},"ColocatedServerUplink":{"type":"object","required":["uplinkId","aggregate"],"properties":{"uplinkId":{"type":"integer","format":"integer","description":"The cacti ID of the uplink","readOnly":true},"aggregate":{"type":"boolean","description":"True if the uplink is an aggregated uplink, false if it is not aggregated","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation":{"get":{"tags":["Colocation"],"summary":"Get list of all colocated servers","operationId":"getColocations","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedServer"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/colocation/{colocationId}

> Get the colocated server by ID

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocatedServer":{"type":"object","required":["id","datacenter","rack","dateStart","dateEnd","dateCancelled","dateEndContract","contractPeriod","extendPeriod","cancellationPeriod","paymentTerm","pricePerMonth","pricePerTbOveruse","currencyId","bandwidthBillingType","bandwidthContractual","trafficSum","trafficSumMonthMbit","outgoingTrafficSum","incomingTrafficSum","powerMaxAmpere","powerKwhPrice","powerMeter","powerSumHistory","network","uplinks","unlimitedIngress"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of the colocation service","readOnly":true},"name":{"type":"string","format":"","description":"The name of the colocation service"},"datacenter":{"allOf":[{"$ref":"#/components/schemas/DataCenter"}],"description":"The data center details","readOnly":true},"rack":{"allOf":[{"$ref":"#/components/schemas/ColocatedRack"}],"description":"The rack details in which the server is installed","readOnly":true},"dateStart":{"type":"string","format":"","description":"Contract start date","readOnly":true},"dateEnd":{"type":"string","format":"","description":"The date until which the service is paid","readOnly":true},"dateCancelled":{"type":"string","format":"","description":"Contract cancel date if contract is cancelled","readOnly":true},"dateEndContract":{"type":"string","format":"","description":"Contract end date","readOnly":true},"contractPeriod":{"type":"integer","format":"integer","description":"The duration of the contract in months","readOnly":true},"extendPeriod":{"type":"integer","format":"integer","description":"The extended period of the contract in months","readOnly":true},"cancellationPeriod":{"type":"integer","format":"integer","description":"The cancellation period in months","readOnly":true},"purchaseOrder":{"type":"string","format":"","description":"The order-name to which the server belongs"},"paymentTerm":{"type":"integer","format":"integer","description":"The duration in which the invoice has to be paid after receiving.","readOnly":true},"pricePerMonth":{"type":"string","format":"","description":"The price of this colocated server per month in cents","readOnly":true},"pricePerTbOveruse":{"type":"string","format":"","description":"The price of traffic overuse in cents (per TB) (see `currencyId` for currency)","readOnly":true},"currencyId":{"type":"integer","format":"integer","description":"The currency in which the various 'price' fields are:\n* 0: EURO\n* 1: USD\n* 9: YEN","readOnly":true},"bandwidthBillingType":{"type":"integer","format":"integer","description":"The bandwidth billing method for this service:\n* 1: unmetered connection\n* 2: measured in TB per month\n* 3: measured in mbit 95th percentile","readOnly":true},"bandwidthContractual":{"type":"integer","format":"integer","description":"The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals `2`, in mbit otherwise","readOnly":true},"trafficSum":{"type":"integer","format":"integer","description":"The total used traffic (Mbit or GB, incoming + outgoing)","readOnly":true},"trafficSumMonthMbit":{"type":"integer","format":"integer","description":"The total used traffic (Mbit) for 95th percentile","readOnly":true},"outgoingTrafficSum":{"type":"integer","format":"integer","description":"The outgoing traffic (Mbit or GB)","readOnly":true},"incomingTrafficSum":{"type":"integer","format":"integer","description":"The incoming traffic (Mbit or GB)","readOnly":true},"powerMaxAmpere":{"type":"string","format":"","description":"Contractual maximum usable amperage","readOnly":true},"powerKwhPrice":{"type":"string","format":"","description":"The power price per kWh in cents","readOnly":true},"powerMeter":{"type":"integer","format":"integer","description":"The current power meter(kWh)","readOnly":true},"powerSumHistory":{"type":"array","items":{"$ref":"#/components/schemas/PowerConsumptionPerDay"},"description":"The history of the power usage and the power meter","readOnly":true},"network":{"type":"array","items":{"$ref":"#/components/schemas/Network"},"description":"The network connection specifications","readOnly":true},"uplinks":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedServerUplink"},"description":"The available uplinks for this colocated server","readOnly":true},"unlimitedIngress":{"type":"integer","format":"integer","description":"Does the service have free incoming traffic?","readOnly":true}},"additionalProperties":false},"DataCenter":{"type":"object","required":["address","contact","wifi"],"properties":{"address":{"allOf":[{"$ref":"#/components/schemas/DatacenterAddress"}],"description":"The address of the data center","readOnly":true},"contact":{"allOf":[{"$ref":"#/components/schemas/DatacenterContact"}],"description":"The contact information","readOnly":true},"wifi":{"allOf":[{"$ref":"#/components/schemas/WifiCredential"}],"description":"The wifi credentials","readOnly":true}},"additionalProperties":false},"DatacenterAddress":{"type":"object","required":["name","address","zipCode","city","country"],"properties":{"name":{"type":"string","format":"","description":"The name of the Location","readOnly":true},"address":{"type":"string","format":"","description":"The address of the location","readOnly":true},"zipCode":{"type":"string","format":"","description":"The zip-code of the location","readOnly":true},"city":{"type":"string","format":"","description":"The city name","readOnly":true},"country":{"type":"string","format":"","description":"The country name","readOnly":true}},"additionalProperties":false},"DatacenterContact":{"type":"object","required":["phoneNumber","emergencyPhoneNumber","faxNumber","emailAddress"],"properties":{"phoneNumber":{"type":"string","format":"","description":"The phone-number","readOnly":true},"emergencyPhoneNumber":{"type":"string","format":"","description":"The emergency phone-number","readOnly":true},"faxNumber":{"type":"string","format":"","description":"The fax-number","readOnly":true},"emailAddress":{"type":"string","format":"","description":"The email-address","readOnly":true}},"additionalProperties":false},"WifiCredential":{"type":"object","required":["networkName","userName","password"],"properties":{"networkName":{"type":"string","format":"","description":"Wifi SSID","readOnly":true},"userName":{"type":"string","format":"","description":"Wifi user-name","readOnly":true},"password":{"type":"string","format":"","description":"Wifi Password","readOnly":true}},"additionalProperties":false},"ColocatedRack":{"type":"object","required":["rack","rentedUnits"],"properties":{"rack":{"type":"string","format":"","description":"Suit number and rack number","readOnly":true},"rentedUnits":{"type":"integer","format":"integer","description":"Number of units in colocation service","readOnly":true}},"additionalProperties":false},"PowerConsumptionPerDay":{"type":"object","required":["date","powerMeter","powerUsed"],"properties":{"date":{"type":"string","format":"","description":"The corresponding date","readOnly":true},"powerMeter":{"type":"string","format":"","description":"The power meter(kWh)","readOnly":true},"powerUsed":{"type":"string","format":"","description":"The used power(kWh)","readOnly":true}},"additionalProperties":false},"Network":{"type":"object","required":["vlanId","ipRange","ipRangeCustom"],"properties":{"vlanId":{"type":"integer","format":"integer","description":"The vlan ID","readOnly":true},"ipRange":{"type":"array","items":{"$ref":"#/components/schemas/IpRangeCidr"},"description":"Defines a list of IP ranges with a prefix in CIDR format (such as 123.123.123.64/26)","readOnly":true},"ipRangeCustom":{"type":"array","items":{"$ref":"#/components/schemas/IpRangeCustom"},"description":"Defines a list of custom IP ranges that do not use prefixes but have an arbitrary start and end ip range (such as 123.123.123.100 - 123.123.123.200)","readOnly":true}},"additionalProperties":false},"IpRangeCidr":{"type":"object","required":["network","netmask","prefix","gateway","rDns"],"properties":{"network":{"type":"string","format":"","description":"The ip of the network","readOnly":true},"netmask":{"type":"string","format":"","description":"The range netmask","readOnly":true},"prefix":{"type":"string","format":"","description":"CIDR prefix, including leading slash","readOnly":true},"gateway":{"type":"string","format":"","description":"The gateway IP","readOnly":true},"vrrp1":{"type":"string","format":"","description":"The virtual router redundancy protocol 1","nullable":true},"vrrp2":{"type":"string","format":"","description":"The virtual router redundancy protocol 1","nullable":true},"rDns":{"type":"array","items":{"$ref":"#/components/schemas/RDns"},"description":"RDNS records","readOnly":true}},"additionalProperties":false},"RDns":{"type":"object","required":["hostname","ip"],"properties":{"hostname":{"type":"string","format":"","description":"The hostname"},"ip":{"type":"string","format":"","description":"The corresponding ip for the host","readOnly":true}},"additionalProperties":false},"IpRangeCustom":{"type":"object","required":["networkStart","networkEnd","gateway","rDns"],"properties":{"networkStart":{"type":"string","format":"","description":"The start ip of the network","readOnly":true},"networkEnd":{"type":"string","format":"","description":"The end ip of the network","readOnly":true},"gateway":{"type":"string","format":"","description":"The gateway IP","readOnly":true},"vrrp1":{"type":"string","format":"","description":"The virtual router redundancy protocol 1","nullable":true},"vrrp2":{"type":"string","format":"","description":"The virtual router redundancy protocol 1","nullable":true},"rDns":{"type":"array","items":{"$ref":"#/components/schemas/RDns"},"description":"RDNS records","readOnly":true}},"additionalProperties":false},"ColocatedServerUplink":{"type":"object","required":["uplinkId","aggregate"],"properties":{"uplinkId":{"type":"integer","format":"integer","description":"The cacti ID of the uplink","readOnly":true},"aggregate":{"type":"boolean","description":"True if the uplink is an aggregated uplink, false if it is not aggregated","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}":{"get":{"tags":["Colocation"],"summary":"Get the colocated server by ID","operationId":"getColocation","parameters":[{"name":"colocationId","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedServer"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocationId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/colocation/{colocationId}

> Update the colocated server by ID

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocatedServer":{"type":"object","required":["id","datacenter","rack","dateStart","dateEnd","dateCancelled","dateEndContract","contractPeriod","extendPeriod","cancellationPeriod","paymentTerm","pricePerMonth","pricePerTbOveruse","currencyId","bandwidthBillingType","bandwidthContractual","trafficSum","trafficSumMonthMbit","outgoingTrafficSum","incomingTrafficSum","powerMaxAmpere","powerKwhPrice","powerMeter","powerSumHistory","network","uplinks","unlimitedIngress"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of the colocation service","readOnly":true},"name":{"type":"string","format":"","description":"The name of the colocation service"},"datacenter":{"allOf":[{"$ref":"#/components/schemas/DataCenter"}],"description":"The data center details","readOnly":true},"rack":{"allOf":[{"$ref":"#/components/schemas/ColocatedRack"}],"description":"The rack details in which the server is installed","readOnly":true},"dateStart":{"type":"string","format":"","description":"Contract start date","readOnly":true},"dateEnd":{"type":"string","format":"","description":"The date until which the service is paid","readOnly":true},"dateCancelled":{"type":"string","format":"","description":"Contract cancel date if contract is cancelled","readOnly":true},"dateEndContract":{"type":"string","format":"","description":"Contract end date","readOnly":true},"contractPeriod":{"type":"integer","format":"integer","description":"The duration of the contract in months","readOnly":true},"extendPeriod":{"type":"integer","format":"integer","description":"The extended period of the contract in months","readOnly":true},"cancellationPeriod":{"type":"integer","format":"integer","description":"The cancellation period in months","readOnly":true},"purchaseOrder":{"type":"string","format":"","description":"The order-name to which the server belongs"},"paymentTerm":{"type":"integer","format":"integer","description":"The duration in which the invoice has to be paid after receiving.","readOnly":true},"pricePerMonth":{"type":"string","format":"","description":"The price of this colocated server per month in cents","readOnly":true},"pricePerTbOveruse":{"type":"string","format":"","description":"The price of traffic overuse in cents (per TB) (see `currencyId` for currency)","readOnly":true},"currencyId":{"type":"integer","format":"integer","description":"The currency in which the various 'price' fields are:\n* 0: EURO\n* 1: USD\n* 9: YEN","readOnly":true},"bandwidthBillingType":{"type":"integer","format":"integer","description":"The bandwidth billing method for this service:\n* 1: unmetered connection\n* 2: measured in TB per month\n* 3: measured in mbit 95th percentile","readOnly":true},"bandwidthContractual":{"type":"integer","format":"integer","description":"The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals `2`, in mbit otherwise","readOnly":true},"trafficSum":{"type":"integer","format":"integer","description":"The total used traffic (Mbit or GB, incoming + outgoing)","readOnly":true},"trafficSumMonthMbit":{"type":"integer","format":"integer","description":"The total used traffic (Mbit) for 95th percentile","readOnly":true},"outgoingTrafficSum":{"type":"integer","format":"integer","description":"The outgoing traffic (Mbit or GB)","readOnly":true},"incomingTrafficSum":{"type":"integer","format":"integer","description":"The incoming traffic (Mbit or GB)","readOnly":true},"powerMaxAmpere":{"type":"string","format":"","description":"Contractual maximum usable amperage","readOnly":true},"powerKwhPrice":{"type":"string","format":"","description":"The power price per kWh in cents","readOnly":true},"powerMeter":{"type":"integer","format":"integer","description":"The current power meter(kWh)","readOnly":true},"powerSumHistory":{"type":"array","items":{"$ref":"#/components/schemas/PowerConsumptionPerDay"},"description":"The history of the power usage and the power meter","readOnly":true},"network":{"type":"array","items":{"$ref":"#/components/schemas/Network"},"description":"The network connection specifications","readOnly":true},"uplinks":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedServerUplink"},"description":"The available uplinks for this colocated server","readOnly":true},"unlimitedIngress":{"type":"integer","format":"integer","description":"Does the service have free incoming traffic?","readOnly":true}},"additionalProperties":false},"DataCenter":{"type":"object","required":["address","contact","wifi"],"properties":{"address":{"allOf":[{"$ref":"#/components/schemas/DatacenterAddress"}],"description":"The address of the data center","readOnly":true},"contact":{"allOf":[{"$ref":"#/components/schemas/DatacenterContact"}],"description":"The contact information","readOnly":true},"wifi":{"allOf":[{"$ref":"#/components/schemas/WifiCredential"}],"description":"The wifi credentials","readOnly":true}},"additionalProperties":false},"DatacenterAddress":{"type":"object","required":["name","address","zipCode","city","country"],"properties":{"name":{"type":"string","format":"","description":"The name of the Location","readOnly":true},"address":{"type":"string","format":"","description":"The address of the location","readOnly":true},"zipCode":{"type":"string","format":"","description":"The zip-code of the location","readOnly":true},"city":{"type":"string","format":"","description":"The city name","readOnly":true},"country":{"type":"string","format":"","description":"The country name","readOnly":true}},"additionalProperties":false},"DatacenterContact":{"type":"object","required":["phoneNumber","emergencyPhoneNumber","faxNumber","emailAddress"],"properties":{"phoneNumber":{"type":"string","format":"","description":"The phone-number","readOnly":true},"emergencyPhoneNumber":{"type":"string","format":"","description":"The emergency phone-number","readOnly":true},"faxNumber":{"type":"string","format":"","description":"The fax-number","readOnly":true},"emailAddress":{"type":"string","format":"","description":"The email-address","readOnly":true}},"additionalProperties":false},"WifiCredential":{"type":"object","required":["networkName","userName","password"],"properties":{"networkName":{"type":"string","format":"","description":"Wifi SSID","readOnly":true},"userName":{"type":"string","format":"","description":"Wifi user-name","readOnly":true},"password":{"type":"string","format":"","description":"Wifi Password","readOnly":true}},"additionalProperties":false},"ColocatedRack":{"type":"object","required":["rack","rentedUnits"],"properties":{"rack":{"type":"string","format":"","description":"Suit number and rack number","readOnly":true},"rentedUnits":{"type":"integer","format":"integer","description":"Number of units in colocation service","readOnly":true}},"additionalProperties":false},"PowerConsumptionPerDay":{"type":"object","required":["date","powerMeter","powerUsed"],"properties":{"date":{"type":"string","format":"","description":"The corresponding date","readOnly":true},"powerMeter":{"type":"string","format":"","description":"The power meter(kWh)","readOnly":true},"powerUsed":{"type":"string","format":"","description":"The used power(kWh)","readOnly":true}},"additionalProperties":false},"Network":{"type":"object","required":["vlanId","ipRange","ipRangeCustom"],"properties":{"vlanId":{"type":"integer","format":"integer","description":"The vlan ID","readOnly":true},"ipRange":{"type":"array","items":{"$ref":"#/components/schemas/IpRangeCidr"},"description":"Defines a list of IP ranges with a prefix in CIDR format (such as 123.123.123.64/26)","readOnly":true},"ipRangeCustom":{"type":"array","items":{"$ref":"#/components/schemas/IpRangeCustom"},"description":"Defines a list of custom IP ranges that do not use prefixes but have an arbitrary start and end ip range (such as 123.123.123.100 - 123.123.123.200)","readOnly":true}},"additionalProperties":false},"IpRangeCidr":{"type":"object","required":["network","netmask","prefix","gateway","rDns"],"properties":{"network":{"type":"string","format":"","description":"The ip of the network","readOnly":true},"netmask":{"type":"string","format":"","description":"The range netmask","readOnly":true},"prefix":{"type":"string","format":"","description":"CIDR prefix, including leading slash","readOnly":true},"gateway":{"type":"string","format":"","description":"The gateway IP","readOnly":true},"vrrp1":{"type":"string","format":"","description":"The virtual router redundancy protocol 1","nullable":true},"vrrp2":{"type":"string","format":"","description":"The virtual router redundancy protocol 1","nullable":true},"rDns":{"type":"array","items":{"$ref":"#/components/schemas/RDns"},"description":"RDNS records","readOnly":true}},"additionalProperties":false},"RDns":{"type":"object","required":["hostname","ip"],"properties":{"hostname":{"type":"string","format":"","description":"The hostname"},"ip":{"type":"string","format":"","description":"The corresponding ip for the host","readOnly":true}},"additionalProperties":false},"IpRangeCustom":{"type":"object","required":["networkStart","networkEnd","gateway","rDns"],"properties":{"networkStart":{"type":"string","format":"","description":"The start ip of the network","readOnly":true},"networkEnd":{"type":"string","format":"","description":"The end ip of the network","readOnly":true},"gateway":{"type":"string","format":"","description":"The gateway IP","readOnly":true},"vrrp1":{"type":"string","format":"","description":"The virtual router redundancy protocol 1","nullable":true},"vrrp2":{"type":"string","format":"","description":"The virtual router redundancy protocol 1","nullable":true},"rDns":{"type":"array","items":{"$ref":"#/components/schemas/RDns"},"description":"RDNS records","readOnly":true}},"additionalProperties":false},"ColocatedServerUplink":{"type":"object","required":["uplinkId","aggregate"],"properties":{"uplinkId":{"type":"integer","format":"integer","description":"The cacti ID of the uplink","readOnly":true},"aggregate":{"type":"boolean","description":"True if the uplink is an aggregated uplink, false if it is not aggregated","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}":{"put":{"tags":["Colocation"],"summary":"Update the colocated server by ID","operationId":"updateColocation","parameters":[{"name":"colocationId","in":"path","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ColocatedServer"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedServer"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocationId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/colocation/{colocationId}/invoice

> Get all the invoices for a specific colocated service

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Invoice":{"type":"object","required":["id","creationDate","dueDate","invoiceNumber","invoiceHash","description","currency","currencySign","amountIncVAT","amountExclVAT","paymentStatus","paymentDate","isCredit","remainingAmount","totalPaidAmount"],"properties":{"id":{"type":"string","format":"","description":"The ID of the invoice","readOnly":true},"creationDate":{"type":"integer","format":"integer","description":"The date the invoice was created","readOnly":true},"dueDate":{"type":"integer","format":"integer","description":"The due date of the invoice","readOnly":true},"invoiceNumber":{"type":"string","format":"","description":"The number of the invoice","readOnly":true},"invoiceHash":{"type":"string","format":"","description":"A unique hash for this invoice","readOnly":true},"description":{"type":"string","format":"","description":"The description of the invoice"},"currency":{"type":"string","format":"","description":"The currency that is being used"},"currencySign":{"type":"string","format":"","description":"The currency sign that is being used"},"amountIncVAT":{"type":"string","format":"","description":"The amount of the invoice with VAT in cents"},"amountExclVAT":{"type":"string","format":"","description":"The amount of the invoice without VAT in cents"},"paymentStatus":{"type":"integer","format":"integer","description":"The payment status"},"paymentDate":{"type":"integer","format":"integer","description":"The timestamp that the invoice was paid, if paid"},"isCredit":{"type":"integer","format":"integer","description":"If this field is 1 it means that invoice is a credit invoice"},"remainingAmount":{"type":"string","format":"","description":"The remaining amount of invoice"},"totalPaidAmount":{"type":"string","format":"","description":"The total paid amount of invoice"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/invoice":{"get":{"tags":["Colocation"],"summary":"Get all the invoices for a specific colocated service","operationId":"getColocationInvoices","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocated service to fetch invoices for","required":true,"schema":{"type":"integer"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Invoice"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocation ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/colocation/{colocationId}/pdu

> Get all the PDUs for a specific colocated service

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Pdu":{"type":"object","required":["id","name","serial","updatedAt","inputFeedType","outlets","phases","powerMeter","powerFactor","amperage","peakAmperage","voltage","minVoltage","conduits"],"properties":{"id":{"type":"integer","format":"integer","description":"The id of feed","readOnly":true},"name":{"type":"string","format":"","description":"The feed name"},"serial":{"type":"string","format":"","description":"The serial number"},"updatedAt":{"type":"integer","format":"integer","description":"The last update time"},"inputFeedType":{"type":"string","format":"","description":"The feed type"},"outlets":{"type":"integer","format":"integer","description":"The number of outlets on this pdu"},"phases":{"type":"integer","format":"integer","description":"The number of phases that this pdu supports"},"powerMeter":{"type":"integer","format":"integer","description":"The last registered counter value"},"powerFactor":{"type":"number","format":"float","description":"The total power factor"},"amperage":{"type":"number","format":"float","description":"The total amperage supported by pdu"},"peakAmperage":{"type":"number","format":"float","description":"The peak amperage"},"voltage":{"type":"number","format":"float","description":"The total actual voltage"},"minVoltage":{"type":"number","format":"float","description":"The total min voltage"},"conduits":{"type":"array","items":{"$ref":"#/components/schemas/Conduit"},"description":"The details of the outlets","readOnly":true}},"additionalProperties":false},"Conduit":{"type":"object","required":["conduitName","powerMeter","amperage","peakAmperage"],"properties":{"conduitName":{"type":"string","format":"","description":"The feed name"},"powerMeter":{"type":"integer","format":"integer","description":"The last registered counter value for this outlet"},"amperage":{"type":"number","format":"float","description":"The total amperage supported by the outlet"},"peakAmperage":{"type":"number","format":"float","description":"The peak amperage"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/pdu":{"get":{"tags":["Colocation"],"summary":"Get all the PDUs for a specific colocated service","operationId":"getColocationPdus","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocated service to fetch PDUs for","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Pdu"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocation ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/colocation/{colocationId}/network/usage/{upLinkId}/raw

> Get the traffic usage data for the last day

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"TrafficUsage":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency,  possible interval options are as follows\n- day","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/TrafficUsageData"},"description":"Contains the data object for the usage","readOnly":true}},"additionalProperties":false},"TrafficUsageData":{"type":"object","required":["timestamp","ingress","egress","sum"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The corresponding date","readOnly":true},"ingress":{"type":"string","format":"","description":"The incoming data usage in bytes","readOnly":true},"egress":{"type":"string","format":"","description":"The outgoing data usage in bytes","readOnly":true},"sum":{"type":"string","format":"","description":"The total used data in bytes","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/network/usage/{upLinkId}/raw":{"get":{"tags":["Colocation"],"summary":"Get the traffic usage data for the last day","operationId":"getColocationNetworkUsageRaw","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocated server to fetch traffic for","required":true,"schema":{"type":"integer"}},{"name":"upLinkId","in":"path","description":"ID of the uplink to fetch traffic for","required":true,"schema":{"type":"integer"}},{"name":"startTime","in":"query","description":"Start unix timestamp","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"End unix timestamp","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TrafficUsage"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocation ID or uplink ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/colocation/{colocationId}/network/usage/{upLinkId}/graph/year

> Get the traffic usage graph (last year)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/network/usage/{upLinkId}/graph/year":{"get":{"tags":["Colocation"],"summary":"Get the traffic usage graph (last year)","operationId":"getColocationNetworkUsageGraphYears","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocated server to fetch traffic for","required":true,"schema":{"type":"integer"}},{"name":"upLinkId","in":"path","description":"ID of the uplink to fetch traffic for","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Base64 encoded image string","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":""}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocation ID or uplink ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/colocation/{colocationId}/network/usage/{upLinkId}/graph/month

> Get the traffic usage graph (last 30 days)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/network/usage/{upLinkId}/graph/month":{"get":{"tags":["Colocation"],"summary":"Get the traffic usage graph (last 30 days)","operationId":"getColocationNetworkUsageGraphMonths","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocated server to fetch traffic for","required":true,"schema":{"type":"integer"}},{"name":"upLinkId","in":"path","description":"ID of the uplink to fetch traffic for","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Base64 encoded image string","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":""}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocation ID or uplink ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/colocation/{colocationId}/network/usage/{upLinkId}/graph/week

> Get the traffic usage graph (last 7 days)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/network/usage/{upLinkId}/graph/week":{"get":{"tags":["Colocation"],"summary":"Get the traffic usage graph (last 7 days)","operationId":"getColocationNetworkUsageGraphWeeks","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocated server to fetch traffic for","required":true,"schema":{"type":"integer"}},{"name":"upLinkId","in":"path","description":"ID of the uplink to fetch traffic for","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Base64 encoded image string","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":""}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocation ID or uplink ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/colocation/{colocationId}/network/usage/{upLinkId}/graph/day

> Get the traffic usage graph (last 24 hours)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/network/usage/{upLinkId}/graph/day":{"get":{"tags":["Colocation"],"summary":"Get the traffic usage graph (last 24 hours)","operationId":"getColocationNetworkUsageGraphDays","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocated server to fetch traffic for","required":true,"schema":{"type":"integer"}},{"name":"upLinkId","in":"path","description":"ID of the uplink to fetch traffic for","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Base64 encoded image string","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":""}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocation ID or uplink ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/colocation/{colocationId}/alert

> Get all the alerts linked to the colocated server

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocatedAlert":{"type":"object","required":["id","percentage","sendMail","sendTicket","triggered","createdAt"],"properties":{"id":{"type":"integer","format":"integer","description":"Colocation alert ID","readOnly":true},"percentage":{"type":"integer","format":"integer","description":"At what percentage of bandwidth usage to trigger the alert"},"sendMail":{"type":"integer","format":"integer","description":"Will send an email notification when alert is triggered"},"sendTicket":{"type":"integer","format":"integer","description":"WIll create a ticket notification when alert is triggered"},"triggered":{"type":"integer","format":"integer","description":"UNIX timestamp of the last time the alert was triggered","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp of the time the alert was created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/alert":{"get":{"tags":["Colocation"],"summary":"Get all the alerts linked to the colocated server","operationId":"getColocationAlerts","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocated server to get the alerts for","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAlert"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocation ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/colocation/{colocationId}/alert

> Create alert for the colocated server

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocatedAlert":{"type":"object","required":["id","percentage","sendMail","sendTicket","triggered","createdAt"],"properties":{"id":{"type":"integer","format":"integer","description":"Colocation alert ID","readOnly":true},"percentage":{"type":"integer","format":"integer","description":"At what percentage of bandwidth usage to trigger the alert"},"sendMail":{"type":"integer","format":"integer","description":"Will send an email notification when alert is triggered"},"sendTicket":{"type":"integer","format":"integer","description":"WIll create a ticket notification when alert is triggered"},"triggered":{"type":"integer","format":"integer","description":"UNIX timestamp of the last time the alert was triggered","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp of the time the alert was created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/alert":{"post":{"tags":["Colocation"],"summary":"Create alert for the colocated server","operationId":"createColocationAlert","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocated server to create an alert for","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ColocatedAlert"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAlert"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocation ID"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/colocation/{colocationId}/alert/{colocationAlertId}

> Update colocated server alert

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocatedAlert":{"type":"object","required":["id","percentage","sendMail","sendTicket","triggered","createdAt"],"properties":{"id":{"type":"integer","format":"integer","description":"Colocation alert ID","readOnly":true},"percentage":{"type":"integer","format":"integer","description":"At what percentage of bandwidth usage to trigger the alert"},"sendMail":{"type":"integer","format":"integer","description":"Will send an email notification when alert is triggered"},"sendTicket":{"type":"integer","format":"integer","description":"WIll create a ticket notification when alert is triggered"},"triggered":{"type":"integer","format":"integer","description":"UNIX timestamp of the last time the alert was triggered","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp of the time the alert was created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/alert/{colocationAlertId}":{"put":{"tags":["Colocation"],"summary":"Update colocated server alert","operationId":"updateColocationAlert","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocated server that the alert belongs to","required":true,"schema":{"type":"integer"}},{"name":"colocationAlertId","in":"path","description":"ID of the host alert to update","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ColocatedAlert"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAlert"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocation ID or alert ID"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/colocation/{colocationId}/alert/{colocationAlertId}

> Delete colocated server alert

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/alert/{colocationAlertId}":{"delete":{"tags":["Colocation"],"summary":"Delete colocated server alert","operationId":"deleteColocationAlert","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocated server that the alert belongs to","required":true,"schema":{"type":"integer"}},{"name":"colocationAlertId","in":"path","description":"ID of the alert to delete","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocated server ID or alert ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/colocation/{colocationId}/cancel

> Cancel the colocated server

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/cancel":{"put":{"tags":["Colocation"],"summary":"Cancel the colocated server","operationId":"updateColocationCancel","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocated server that the cancellation should applied to","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocated server ID"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/colocation/{colocationId}/cancel/revert

> Revert the cancellation of a colocated server

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/cancel/revert":{"put":{"tags":["Colocation"],"summary":"Revert the cancellation of a colocated server","operationId":"updateColocationCancelRevert","parameters":[{"name":"colocationId","in":"path","description":"ID of the cancelled colocated server that should be reverted","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocated server ID"},"422":{"description":"Unable to revert cancellation of colocated server"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/colocation/{colocationId}/network/rdns/{ipAddress}

> Set RDNS hostname for IP

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"RDns":{"type":"object","required":["hostname","ip"],"properties":{"hostname":{"type":"string","format":"","description":"The hostname"},"ip":{"type":"string","format":"","description":"The corresponding ip for the host","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/{colocationId}/network/rdns/{ipAddress}":{"put":{"tags":["Colocation"],"summary":"Set RDNS hostname for IP","operationId":"updateColocationNetworkRdn","parameters":[{"name":"colocationId","in":"path","description":"ID of the colocation-service to which IP address belongs to","required":true,"schema":{"type":"integer"}},{"name":"ipAddress","in":"path","description":"IP address to set RDNS entry for","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RDns"}}},"required":true},"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid colocation-service ID or IP address"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/colocation/access

> Get list of all colocation access

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocatedAccessDetails":{"type":"object","required":["id","visitorId","email","mobile","firstName","lastName","birthDate","countryEn","accountDocument","createdBy","newEntry","status"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of colocation access request","readOnly":true},"visitorId":{"type":"integer","format":"integer","description":"The ID of the user"},"datacenterId":{"type":"integer","format":"integer","description":"The ID of data center","nullable":true},"dateverified":{"type":"string","format":"","description":"The date when the user was verified","nullable":true},"dateonlist":{"type":"string","format":"","description":"The date when the user was added to the access list","nullable":true},"dateofflist":{"type":"string","format":"","description":"The date when the user was removed from the access list","nullable":true},"email":{"type":"string","format":"","description":"The e-mail address of the visitor"},"mobile":{"type":"string","format":"","description":"The mobile phone number of the visitor"},"firstName":{"type":"string","format":"","description":"The first name of the visitor"},"lastName":{"type":"string","format":"","description":"The last name of the visitor"},"birthDate":{"type":"string","format":"","description":"The birth date of the user. The format is YYYY-MM-DD"},"companyName":{"type":"string","format":"","description":"The company name of the visitor","nullable":true},"city":{"type":"string","format":"","description":"The city of the visitor","nullable":true},"countryEn":{"type":"string","format":"","description":"The country name of the visitor","readOnly":true},"colocatedAccessServers":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAccessServer"},"description":"The colocated server to which access is requested","nullable":true},"adminNotesReadOnly":{"type":"string","format":"","description":"Notes for admins","nullable":true},"accountDocument":{"type":"array","items":{"$ref":"#/components/schemas/AccountDocument"},"description":"The account document of the user","readOnly":true},"checked":{"type":"string","format":"","description":"Was the user checked?","nullable":true},"createdBy":{"type":"integer","format":"integer","description":"ID of user creator","readOnly":true},"newEntry":{"type":"integer","format":"integer","description":"Is this a new entry","readOnly":true},"temporaryAccess":{"type":"integer","format":"integer","description":"temporaryAccess If this field is set to 1, then has the visitor a temporary access","nullable":true},"fingerPrintId":{"type":"integer","format":"integer","description":"The print ID from Syntegro system","nullable":true},"printMade":{"type":"string","format":"","description":"Was the print made","nullable":true},"visitRequester":{"type":"integer","format":"integer","description":"If this field is set to 1, then this visitor can add a temporary access for other visitor","nullable":true},"permanentRequester":{"type":"integer","format":"integer","description":"If this field is set to 1, then this visitor can request a permanent access for other visitor","nullable":true},"syntegroEmployeeCode":{"type":"string","format":"","description":"The Syntegro employee code of visitor","nullable":true},"status":{"type":"string","format":"","description":"The status of the visitor (granted, pending, denied, revoked, suspended)","readOnly":true}},"additionalProperties":false},"ColocatedAccessServer":{"type":"object","required":["coloserverId","rackname"],"properties":{"coloserverId":{"type":"integer","format":"integer","description":"The ID of the colocated server where the visitor has access to"},"rackname":{"type":"string","format":"","description":"The name of the rack where the visitor has access to"}},"additionalProperties":false},"AccountDocument":{"type":"object","required":["id","documentType","documentNumber","documentExpiration"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the document","readOnly":true},"documentType":{"type":"integer","format":"integer","description":"Type of the document"},"documentNumber":{"type":"string","format":"","description":"Number of document"},"documentExpiration":{"type":"string","format":"","description":"Expiration date of document"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/access":{"get":{"tags":["Colocation"],"summary":"Get list of all colocation access","operationId":"getColocationAccesses","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}},{"name":"status","in":"query","description":"Example /v3/colocation/access?status=revoked","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAccessDetails"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/colocation/access

> Create a new colocation access request

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocatedAccess":{"type":"object","required":["id","email","mobile","firstName","lastName","birthDate","companyName"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of colocation access request","readOnly":true},"visitorId":{"type":"integer","format":"integer","description":"The ID of the visitor"},"email":{"type":"string","format":"","description":"The e-mail address of the visitor"},"mobile":{"type":"string","format":"","description":"The mobile phone number of the visitor"},"firstName":{"type":"string","format":"","description":"The first name of the visitor"},"lastName":{"type":"string","format":"","description":"The last name of the visitor"},"birthDate":{"type":"string","format":"","description":"The birth date of the visitor"},"companyName":{"type":"string","format":"","description":"The company name of visitor"},"colocatedAccessServer":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAccessServer"},"description":"The colocated servers to which access is requested. if this is empty then the visitor get access to all colocated servers of the requester","nullable":true},"temporaryAccess":{"type":"integer","format":"integer","description":"If this field is set to 1, then the visitor has a temporary access","nullable":true},"visitRequester":{"type":"integer","format":"integer","description":"If this field is set to 1, then this visitor can add a temporary access for other visitor","nullable":true},"permanentRequester":{"type":"integer","format":"integer","description":"If this field is set to 1, then this visitor can request a permanent access for other visitor","nullable":true}},"additionalProperties":false},"ColocatedAccessServer":{"type":"object","required":["coloserverId","rackname"],"properties":{"coloserverId":{"type":"integer","format":"integer","description":"The ID of the colocated server where the visitor has access to"},"rackname":{"type":"string","format":"","description":"The name of the rack where the visitor has access to"}},"additionalProperties":false},"ColocatedAccessDetails":{"type":"object","required":["id","visitorId","email","mobile","firstName","lastName","birthDate","countryEn","accountDocument","createdBy","newEntry","status"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of colocation access request","readOnly":true},"visitorId":{"type":"integer","format":"integer","description":"The ID of the user"},"datacenterId":{"type":"integer","format":"integer","description":"The ID of data center","nullable":true},"dateverified":{"type":"string","format":"","description":"The date when the user was verified","nullable":true},"dateonlist":{"type":"string","format":"","description":"The date when the user was added to the access list","nullable":true},"dateofflist":{"type":"string","format":"","description":"The date when the user was removed from the access list","nullable":true},"email":{"type":"string","format":"","description":"The e-mail address of the visitor"},"mobile":{"type":"string","format":"","description":"The mobile phone number of the visitor"},"firstName":{"type":"string","format":"","description":"The first name of the visitor"},"lastName":{"type":"string","format":"","description":"The last name of the visitor"},"birthDate":{"type":"string","format":"","description":"The birth date of the user. The format is YYYY-MM-DD"},"companyName":{"type":"string","format":"","description":"The company name of the visitor","nullable":true},"city":{"type":"string","format":"","description":"The city of the visitor","nullable":true},"countryEn":{"type":"string","format":"","description":"The country name of the visitor","readOnly":true},"colocatedAccessServers":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAccessServer"},"description":"The colocated server to which access is requested","nullable":true},"adminNotesReadOnly":{"type":"string","format":"","description":"Notes for admins","nullable":true},"accountDocument":{"type":"array","items":{"$ref":"#/components/schemas/AccountDocument"},"description":"The account document of the user","readOnly":true},"checked":{"type":"string","format":"","description":"Was the user checked?","nullable":true},"createdBy":{"type":"integer","format":"integer","description":"ID of user creator","readOnly":true},"newEntry":{"type":"integer","format":"integer","description":"Is this a new entry","readOnly":true},"temporaryAccess":{"type":"integer","format":"integer","description":"temporaryAccess If this field is set to 1, then has the visitor a temporary access","nullable":true},"fingerPrintId":{"type":"integer","format":"integer","description":"The print ID from Syntegro system","nullable":true},"printMade":{"type":"string","format":"","description":"Was the print made","nullable":true},"visitRequester":{"type":"integer","format":"integer","description":"If this field is set to 1, then this visitor can add a temporary access for other visitor","nullable":true},"permanentRequester":{"type":"integer","format":"integer","description":"If this field is set to 1, then this visitor can request a permanent access for other visitor","nullable":true},"syntegroEmployeeCode":{"type":"string","format":"","description":"The Syntegro employee code of visitor","nullable":true},"status":{"type":"string","format":"","description":"The status of the visitor (granted, pending, denied, revoked, suspended)","readOnly":true}},"additionalProperties":false},"AccountDocument":{"type":"object","required":["id","documentType","documentNumber","documentExpiration"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the document","readOnly":true},"documentType":{"type":"integer","format":"integer","description":"Type of the document"},"documentNumber":{"type":"string","format":"","description":"Number of document"},"documentExpiration":{"type":"string","format":"","description":"Expiration date of document"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/access":{"post":{"tags":["Colocation"],"summary":"Create a new colocation access request","operationId":"createColocationAccess","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ColocatedAccess"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAccessDetails"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/colocation/access/{accessId}

> Get colocation access by ID

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocatedAccessDetails":{"type":"object","required":["id","visitorId","email","mobile","firstName","lastName","birthDate","countryEn","accountDocument","createdBy","newEntry","status"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of colocation access request","readOnly":true},"visitorId":{"type":"integer","format":"integer","description":"The ID of the user"},"datacenterId":{"type":"integer","format":"integer","description":"The ID of data center","nullable":true},"dateverified":{"type":"string","format":"","description":"The date when the user was verified","nullable":true},"dateonlist":{"type":"string","format":"","description":"The date when the user was added to the access list","nullable":true},"dateofflist":{"type":"string","format":"","description":"The date when the user was removed from the access list","nullable":true},"email":{"type":"string","format":"","description":"The e-mail address of the visitor"},"mobile":{"type":"string","format":"","description":"The mobile phone number of the visitor"},"firstName":{"type":"string","format":"","description":"The first name of the visitor"},"lastName":{"type":"string","format":"","description":"The last name of the visitor"},"birthDate":{"type":"string","format":"","description":"The birth date of the user. The format is YYYY-MM-DD"},"companyName":{"type":"string","format":"","description":"The company name of the visitor","nullable":true},"city":{"type":"string","format":"","description":"The city of the visitor","nullable":true},"countryEn":{"type":"string","format":"","description":"The country name of the visitor","readOnly":true},"colocatedAccessServers":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAccessServer"},"description":"The colocated server to which access is requested","nullable":true},"adminNotesReadOnly":{"type":"string","format":"","description":"Notes for admins","nullable":true},"accountDocument":{"type":"array","items":{"$ref":"#/components/schemas/AccountDocument"},"description":"The account document of the user","readOnly":true},"checked":{"type":"string","format":"","description":"Was the user checked?","nullable":true},"createdBy":{"type":"integer","format":"integer","description":"ID of user creator","readOnly":true},"newEntry":{"type":"integer","format":"integer","description":"Is this a new entry","readOnly":true},"temporaryAccess":{"type":"integer","format":"integer","description":"temporaryAccess If this field is set to 1, then has the visitor a temporary access","nullable":true},"fingerPrintId":{"type":"integer","format":"integer","description":"The print ID from Syntegro system","nullable":true},"printMade":{"type":"string","format":"","description":"Was the print made","nullable":true},"visitRequester":{"type":"integer","format":"integer","description":"If this field is set to 1, then this visitor can add a temporary access for other visitor","nullable":true},"permanentRequester":{"type":"integer","format":"integer","description":"If this field is set to 1, then this visitor can request a permanent access for other visitor","nullable":true},"syntegroEmployeeCode":{"type":"string","format":"","description":"The Syntegro employee code of visitor","nullable":true},"status":{"type":"string","format":"","description":"The status of the visitor (granted, pending, denied, revoked, suspended)","readOnly":true}},"additionalProperties":false},"ColocatedAccessServer":{"type":"object","required":["coloserverId","rackname"],"properties":{"coloserverId":{"type":"integer","format":"integer","description":"The ID of the colocated server where the visitor has access to"},"rackname":{"type":"string","format":"","description":"The name of the rack where the visitor has access to"}},"additionalProperties":false},"AccountDocument":{"type":"object","required":["id","documentType","documentNumber","documentExpiration"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the document","readOnly":true},"documentType":{"type":"integer","format":"integer","description":"Type of the document"},"documentNumber":{"type":"string","format":"","description":"Number of document"},"documentExpiration":{"type":"string","format":"","description":"Expiration date of document"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/access/{accessId}":{"get":{"tags":["Colocation"],"summary":"Get colocation access by ID","operationId":"getColocationAccess","parameters":[{"name":"accessId","in":"path","description":"ID of the access","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAccessDetails"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid accessId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/colocation/access/{accessId}

> Update colocation access

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Colocation","description":"Colocation service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocatedAccess":{"type":"object","required":["id","email","mobile","firstName","lastName","birthDate","companyName"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of colocation access request","readOnly":true},"visitorId":{"type":"integer","format":"integer","description":"The ID of the visitor"},"email":{"type":"string","format":"","description":"The e-mail address of the visitor"},"mobile":{"type":"string","format":"","description":"The mobile phone number of the visitor"},"firstName":{"type":"string","format":"","description":"The first name of the visitor"},"lastName":{"type":"string","format":"","description":"The last name of the visitor"},"birthDate":{"type":"string","format":"","description":"The birth date of the visitor"},"companyName":{"type":"string","format":"","description":"The company name of visitor"},"colocatedAccessServer":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAccessServer"},"description":"The colocated servers to which access is requested. if this is empty then the visitor get access to all colocated servers of the requester","nullable":true},"temporaryAccess":{"type":"integer","format":"integer","description":"If this field is set to 1, then the visitor has a temporary access","nullable":true},"visitRequester":{"type":"integer","format":"integer","description":"If this field is set to 1, then this visitor can add a temporary access for other visitor","nullable":true},"permanentRequester":{"type":"integer","format":"integer","description":"If this field is set to 1, then this visitor can request a permanent access for other visitor","nullable":true}},"additionalProperties":false},"ColocatedAccessServer":{"type":"object","required":["coloserverId","rackname"],"properties":{"coloserverId":{"type":"integer","format":"integer","description":"The ID of the colocated server where the visitor has access to"},"rackname":{"type":"string","format":"","description":"The name of the rack where the visitor has access to"}},"additionalProperties":false},"ColocatedAccessDetails":{"type":"object","required":["id","visitorId","email","mobile","firstName","lastName","birthDate","countryEn","accountDocument","createdBy","newEntry","status"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of colocation access request","readOnly":true},"visitorId":{"type":"integer","format":"integer","description":"The ID of the user"},"datacenterId":{"type":"integer","format":"integer","description":"The ID of data center","nullable":true},"dateverified":{"type":"string","format":"","description":"The date when the user was verified","nullable":true},"dateonlist":{"type":"string","format":"","description":"The date when the user was added to the access list","nullable":true},"dateofflist":{"type":"string","format":"","description":"The date when the user was removed from the access list","nullable":true},"email":{"type":"string","format":"","description":"The e-mail address of the visitor"},"mobile":{"type":"string","format":"","description":"The mobile phone number of the visitor"},"firstName":{"type":"string","format":"","description":"The first name of the visitor"},"lastName":{"type":"string","format":"","description":"The last name of the visitor"},"birthDate":{"type":"string","format":"","description":"The birth date of the user. The format is YYYY-MM-DD"},"companyName":{"type":"string","format":"","description":"The company name of the visitor","nullable":true},"city":{"type":"string","format":"","description":"The city of the visitor","nullable":true},"countryEn":{"type":"string","format":"","description":"The country name of the visitor","readOnly":true},"colocatedAccessServers":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAccessServer"},"description":"The colocated server to which access is requested","nullable":true},"adminNotesReadOnly":{"type":"string","format":"","description":"Notes for admins","nullable":true},"accountDocument":{"type":"array","items":{"$ref":"#/components/schemas/AccountDocument"},"description":"The account document of the user","readOnly":true},"checked":{"type":"string","format":"","description":"Was the user checked?","nullable":true},"createdBy":{"type":"integer","format":"integer","description":"ID of user creator","readOnly":true},"newEntry":{"type":"integer","format":"integer","description":"Is this a new entry","readOnly":true},"temporaryAccess":{"type":"integer","format":"integer","description":"temporaryAccess If this field is set to 1, then has the visitor a temporary access","nullable":true},"fingerPrintId":{"type":"integer","format":"integer","description":"The print ID from Syntegro system","nullable":true},"printMade":{"type":"string","format":"","description":"Was the print made","nullable":true},"visitRequester":{"type":"integer","format":"integer","description":"If this field is set to 1, then this visitor can add a temporary access for other visitor","nullable":true},"permanentRequester":{"type":"integer","format":"integer","description":"If this field is set to 1, then this visitor can request a permanent access for other visitor","nullable":true},"syntegroEmployeeCode":{"type":"string","format":"","description":"The Syntegro employee code of visitor","nullable":true},"status":{"type":"string","format":"","description":"The status of the visitor (granted, pending, denied, revoked, suspended)","readOnly":true}},"additionalProperties":false},"AccountDocument":{"type":"object","required":["id","documentType","documentNumber","documentExpiration"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the document","readOnly":true},"documentType":{"type":"integer","format":"integer","description":"Type of the document"},"documentNumber":{"type":"string","format":"","description":"Number of document"},"documentExpiration":{"type":"string","format":"","description":"Expiration date of document"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/colocation/access/{accessId}":{"put":{"tags":["Colocation"],"summary":"Update colocation access","operationId":"updateColocationAccess","parameters":[{"name":"accessId","in":"path","description":"ID of the access","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ColocatedAccess"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocatedAccessDetails"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Invalid accessId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/colocation/access/{accessId}

> Delete colocation access by ID

```json
[...]
